// Copyright 2011 Google Inc. All Rights Reserved.

package com.mdotm.android.admobadapter;

import com.google.ads.mediation.NetworkExtras;

/**
 * Skeleton Adapter Extra Parameters
 */
public final class MdotMNetworkExtras implements NetworkExtras {
	/*
	 * This class holds all of the "extra" parameters a publisher can specify
	 * that aren't explicitly included in an AdRequest. New parameters can be
	 * added here and when specified by publishers will be passed through to the
	 * Adapter.
	 * 
	 * When the user specifies this data, it is keyed by the class. Because of
	 * this each adapter should define it's own class for extras, rather than
	 * use a generic container class. This also makes it easier for the
	 * publisher to discover these fields.
	 * 
	 * It's strongly suggested that this class be final so end-users don't
	 * accidentally subclass it.
	 */

	private boolean enableCaching = false;

	public boolean isEnableCaching() {
		return enableCaching;
	}

	public void setEnableCaching(boolean enableCaching) {
		this.enableCaching = enableCaching;
	}

	
}
