package com.mdotm.android.http;

import java.io.IOException;
import java.io.InputStream;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import com.mdotm.android.model.MdotMAdResponse;
import com.mdotm.android.utils.MdotMLogger;
import com.mdotm.android.utils.MdotMUtils;

public class MdotMJSONParser {

	/**
	 * Parse the json input stream
	 * 
	 * @param inputStream
	 * @return MdotMAdResponse
	 */
	public MdotMAdResponse parseResponse(InputStream inputStream) {
		byte[] data = new byte[1024];
		int len = 0;
		StringBuffer raw = new StringBuffer();
		try {
			while (-1 != (len = inputStream.read(data))) {
				raw.append(new String(data, 0, len));
			}
		} catch (IOException e) {
			// e.printStackTrace();
		}
		String responses = raw.toString();
		MdotMLogger.e(this, "The response is:" + responses);
		MdotMAdResponse response = null;
		response = new MdotMAdResponse();
		response.setStatus(1);
		try {

			JSONArray array = new JSONArray(responses);
			if (array.length() != 0) {
				JSONObject jsonObject = array.getJSONObject(0);
				response.setImageUrl(jsonObject.getString("img_url"));
				response.setLandingUrl(jsonObject.getString("landing_url"));
				if (jsonObject.getInt("ad_type") == MdotMUtils.AD_WITH_BANNER_OR_XHTML_OR_VIDEO) {
					response.setAdType(MdotMUtils.AD_WITH_BANNER_OR_XHTML_OR_VIDEO);
				} else if (jsonObject.getInt("ad_type") == MdotMUtils.AD_ICON_WITH_TEXT_MESSAGE) {
					response.setAdType(MdotMUtils.AD_ICON_WITH_TEXT_MESSAGE);
				}
				try {
					response.setText(jsonObject.getString("ad_text"));
				} catch (Exception e) {

				}
				try {
					response.setLaunchType(jsonObject.getInt("launch_type"));
				} catch (Exception e) {

				}
				try {
					response.setImp_pixel(jsonObject.getString("imp_pixel"));
				} catch (Exception e) {
					MdotMLogger.e(this, "unable to get the impression pixel");
				}

			} else {
				response.setStatus(0);
				MdotMLogger.e(this, "MdotM message - No_FILL for ad request");
			}

		} catch (JSONException e) {
			MdotMLogger.e(this, e.getMessage());
			response.setStatus(0);
			// e.printStackTrace();
		}
		return response;
	}
}
