package com.mdotm.android.view;

import android.content.Context;
import android.util.AttributeSet;

import com.mdotm.android.listener.MdotMAdEventListener;
import com.mdotm.android.model.MdotMAdRequest;

/**
 * @author Bheema
 * 
 */
public class MdotMAdView extends MdotMView {

	public MdotMAdView(Context context, AttributeSet attrs, int defStyle) {
		super(context, attrs, defStyle);
	}

	public MdotMAdView(Context context, AttributeSet attrs) {
		super(context, attrs);
	}

	public MdotMAdView(Context context) {
		super(context);
	}

	/**
	 * Call this method to load banner ad.
	 * 
	 * @param listener
	 *            - MdotMAdEventListener to communicate back to application
	 * @param adRequest
	 *            - request parameter object
	 */
	public void loadBannerAd(MdotMAdEventListener listener,
			MdotMAdRequest adRequest) {
		endAdSession();
		didParentStopped=false;
		adRequest.setLoadInterstitial(false);
		super.loadAd(listener, adRequest);

	}

	/**
	 * call this method to stop the auto refresh of ad when the application
	 * exits
	 */
	public void endAdSession() {
		if (timer != null) {
			timer.cancel();
		}
		didParentStopped = true;
	}

}
